package com.njcn.mapper.advanced;

import com.njcn.pojo.advanced.EntityPqsRelevance;
import com.njcn.pojo.advanced.EventAssObj;
import com.njcn.pojo.advanced.SagEvent;
import com.njcn.pojo.advanced.SagEventsQueryCondition;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.HashSet;
import java.util.List;

public interface RelevanceMapper {
    // 获取暂降事件描述
    List<SagEvent> querySagEvents(SagEventsQueryCondition sagEventsQueryCondition);

    // 归一化事件插到数据库
    void insertEventAssData(List<EventAssObj> list);

    //归一化事件策略表数据插入
    void insertRelevance(EntityPqsRelevance entityPqsRelevance);

    // 更新暂降事件数据库
    void updateSagEventData(List<SagEvent> list);

    // 查询监测点的线路ID
    Integer queryLineIdbyPointId(Integer pointId);

    // 查询高级算法暂降类型对应编码
    Integer queryCodebyGuid(String guid);

    List<EntityPqsRelevance> queryEvents();

    void deleteEvent(Date date);

    void updateEvent(Date date);

    void updateFlag(Date date);

    //获取未处理的事件个数
    Integer queryDealTotal(@Param("list") List<Integer> list);

    //获取录波文件不存在的个数
    Integer queryFileTotal(@Param("list") List<Integer> list);



}
